Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.ThumbnailGVTListener

    java.lang.Object
      org.apache.batik.swing.gvt.GVTTreeRendererAdapter
          org.apache.batik.apps.svgbrowser.ThumbnailDialog.ThumbnailGVTListener

All Implemented Interfaces:
  GVTTreeRendererListener

Enclosing class:
  ThumbnailDialog

    protected class ThumbnailDialog.ThumbnailGVTListener

extends GVTTreeRendererAdapter

Used to update the overlay and/or the GVT tree of the thumbnail.

Constructor Summary
`protected` | `ThumbnailDialog.ThumbnailGVTListener()`

Method Summary
`void` | `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` | `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` | `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.

Methods inherited from class org.apache.batik.swing.gvt.GVTTreeRendererAdapter
`gvtRenderingPrepare, gvtRenderingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbnailDialog.ThumbnailGVTListener

    protected ThumbnailDialog.ThumbnailGVTListener()

Method Detail

### gvtRenderingCompleted

    public void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Description copied from class: `GVTTreeRendererAdapter`
  Called when a rendering was completed.

  Specified by:
    `gvtRenderingCompleted` in interface `GVTTreeRendererListener`
  Overrides:
    `gvtRenderingCompleted` in class `GVTTreeRendererAdapter`

### gvtRenderingCancelled

    public void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Description copied from class: `GVTTreeRendererAdapter`
  Called when a rendering was cancelled.

  Specified by:
    `gvtRenderingCancelled` in interface `GVTTreeRendererListener`
  Overrides:
    `gvtRenderingCancelled` in class `GVTTreeRendererAdapter`

### gvtRenderingFailed

    public void gvtRenderingFailed(GVTTreeRendererEvent e)

  Description copied from class: `GVTTreeRendererAdapter`
  Called when a rendering failed.

  Specified by:
    `gvtRenderingFailed` in interface `GVTTreeRendererListener`
  Overrides:
    `gvtRenderingFailed` in class `GVTTreeRendererAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.